package acac;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStreamReader;


public class ClusteringPreparison 
{
	static private FileWriter fstream_classification;
	static private BufferedWriter out_classification;
	static String[] index = {"0.0", "1.0" , "2.0", "3.0", "4.0", "5.0",
		 "6.0", "7.0", "8.0"}; 
	
	
	public static void main(String[] args) 
	throws IOException 
	{
		fstream_classification = new FileWriter(Summary.path + "clustering.txt");
        out_classification = new BufferedWriter(fstream_classification);
        out_classification.append("rescouse-wellBeing-alliance-risk-stress," +
        		"strong,medoim,weak,all\n"); 
        
		for(int i1 = 1; i1 <= 5; i1++)
		{
			for(int i2 = 5; i2 <= 8; i2++)
			{
				for(int i3 = 5; i3 <= 8; i3++)
				{
					for(int i4 = 1; i4 <= 2; i4++)
					{
						for(int i5 = 1; i5 <= 2; i5++)
						{
							String file = index[i1] + "-" + 
					  			index[i2] + "-" + index[i3] + "-" + 
					  			index[i4] + "-" + index[i5];
							try
							{
								FileInputStream in = new FileInputStream(Summary.path
										+ file + ".txt");
								out_classification.append(file + ",");
								BufferedReader br = 
									new BufferedReader(new InputStreamReader(in));
							    String tmp = null;		
							    boolean cont = true;
							    String[] infLine = null;
							    while (cont && (tmp = br.readLine()) != null)
							    {
							    	String[] ss = tmp.split(",");
							    	if(ss != null && ss.length > 0 && ss[0].equals("50"))
							    	{
							    		infLine = ss;
							    		cont = false;
							    	}
							    }				
							    
							    String strongTies = infLine[4];
							    String mediumTies = infLine[5];
							    String weakTies = infLine[6];
							    String allTies = infLine[7];
							    out_classification.append(strongTies + ","
							    		+ mediumTies + ","
							    		+ weakTies + ","
							    		+ allTies + "\n");
							    in.close();
							}	
							
							catch(FileNotFoundException e1)
							{
								
							}
							catch (Exception e)
							{								
								out_classification.append("\n");	
							}
						}
					}
				}
			}
		}
			
		out_classification.close();
		
		System.out.print("finished");

	}

}
